XGPS(1)

NAME
xgps, xgpsspeed - sample clients for gpsd

SYNOPSIS

xgps [-?] [--help] [--debug DEBUG-LEVEL] [--device DEVICE] [--host HOST] [--llfmt [[d] | [m] | [s]]] [--port PORT] [--rotate DEGREES] [--sats NSATS] [--units [[i] | [n] | [m]]] [--version] [-D LVL] [-h] [-l [[d] | [m] | [s]]] [-r DEGREES] [-s NSATS] [-u [[i] | [n] | [m]]] [-V] [server [:port [:device]]]

xgpsspeed [-?] [--debug DEBUG-LEVEL] [--device DEVICE] [--help] [--host HOST] [--landspeed] [--maxspeed MAXSPEED] [--nautical] [--port PORT] [--rotate DEGREES] [--speedunits {[mph] | [kmh] | [knots]}] [--version] [-D LVL] [-h] [-r DEGREES] [-V] [server [:port [:device]]]

DESCRIPTION

These are two sample clients shipped with gpsd. They have some common options:

-?, -h, --help
    Causes the client to emit a summary of its options and then exit.

-device DEVICE
    The device on the host to connect to. The default is empty (any).

-D LVL, --debug LVL
    Sets the debug level; it is primarily for use by GPSD developers. It enables various progress messages to standard error.

--host HOST
    The host (server) to connect to. The default is localhost.

-p PORT, --port PORT
    The port to connect to. The default is 2947.

-V, --version
    The -V, --version option causes each client to dump the package version and exit.

By default, clients collect data from all compatible devices on localhost, using the default GPSD port 2947. An optional argument to any client may specify a server to get data from. A colon-separated suffix is taken as a port number. If there is a second colon-separated suffix, that is taken as a specific device name to be watched. However, if the server specification contains square brackets, the part inside them is taken as an IPv6 address and port/device suffixes are only parsed after the trailing bracket. Possible cases look like this:

The options for xgps can be placed in the XGPSOPTS environment variable. XGPSOPTS is processed before the CLI options.

localhost:/dev/ttyS1
    Look at the default port of localhost, trying both IPv4 and IPv6 and watching output from serial device 1.

example.com:2317
    Look at port 2317 on example.com, trying both IPv4 and IPv6.

71.162.241.5:2317:/dev/ttyS3
    Look at port 2317 at the specified IPv4 address, collecting data from attached serial device 3.

[FEDC:BA98:7654:3210:FEDC:BA98:7654:3210]:2317:/dev/ttyS5
    Look at port 2317 at the specified IPv6 address, collecting data from attached serial device 5.

  xgps

xgps is a simple sample client for gpsd with an X interface. It displays current GPS position/time/velocity information and (for GPSes that support the feature) the locations of accessible satellites.

In the sky view, satellites are color-coded to indicate quality of signal; consult the data display to the left for exact figures in dB. Diamond-shaped icons indicate GLONASS satellites, squares are used for SBAS (e.g. WAAS, EGNOS), circles indicate GPS, and down-, up-, right-, and left-pointing triangles, respectively, indicate Galileo, BeiDou, QZSS, and other systems' satellites (e.g. IMES, IRNSS, as well as unknown systems). Filled icons were used in the current fix, outline icons were not. Hovering over a symbol with the mouse pointer will temporarily display a small popup window with the satellite details from the Satellite List pane.

-l FMT, --llfmt FMT
    Set the format of latitude and longitude reports. The value 'd' produces decimal degrees and is the default. The value 'm' produces degrees and decimal minutes. The value 's' produces degrees, minutes, and decimal seconds.

-r DEG, --rotate DEG
    Accepts an argument in degrees, to rotate the skyview counterclockwise.

xgps looks at variables in the environment to figure out the units for display — imperial, nautical, or metric. Here are the variables and values checked:

        GPSD_UNITS one of:
                  i          = miles/feet
                  imperial   = miles/feet
                  n          = knots/feet
                  nautical   = knots/feet
                  m          = km/meters
                  metric     = km/meters
        LC_MEASUREMENT
                  en_US      = miles/feet
                  C          = miles/feet
                  POSIX      = miles/feet
                  [other]    = km/meters
        LANG
                  en_US      = miles/feet
                  C          = miles/feet
                  POSIX      = miles/feet
                  [other]    = km/meters

These preferences may be overridden by the -u, --units option.

The -u option can be used to set the system units for display; follow the keyword with 'i' for 'imperial' for American units (International Feet in altitude and error estimates, miles per hour in speeds), 'n' for 'nautical' (feet in altitude and error estimates, knots in speed) or 'm' for 'metric' (meters in altitude and error estimates, kilometers per hour in speeds).

Note: The USA Survey Foot is not supported.

  xgpsspeed

xgpsspeed is a speedometer that uses position information from the GPS.

The default display mode is a speed and track presentation modeled after a marine navigation display; for backward compatibility the --nautical option forces this mode. The --landspeed option produces a simple speedometer.

The --speedunits option can be used to set the speed units for display; follow the keyword with "knots" for nautical miles per hour, "kmh" for kilometers per hour, or "mph" for miles per hour. The default is miles per hour.

In the nautical mode only, --maxspeed sets the maximum on the speedometer.

ENVIRONMENT

The environment variable GPSD_UNITS is checked if no unit system is specified on the command line or in XPGSOPTS it may be set to 'i'. 'imperial', 'm', 'metric', or 'n', 'nautical'.

LC_MEASUREMENT and then LANG are checked if no unit system has been specified on the command line, in XPGSOPTS or in GPSD_UNITS. If the value is 'C', 'POSIX', or begins with 'en_US' the unit system is set to imperial. The default if no system has been selected defaults to metric.

The XGPSOPTS> environment variable may be set to pass commonly used command line options to xgps and xgpsspeed. This is often used to set the -u option for locale specific units. XGPSOPTS is processed before the CLI options.

SEE ALSO

gpsd(8), libgps(3), libgpsmm(3), gpsfake(1), gpsctl(1), gpscat(1), gpsprof(1). gpspipe(1). gpsmon(1). gpxlogger(1).

AUTHORS

Remco Treffcorn, Derrick Brashear, Russ Nelson & Eric S. Raymond, Chen Wei <weichen302@aol.com> (xgpsspeed), Robin Wittler <real@the-real.org> (xgpsspeed).

This manual page by Eric S. Raymond <esr@thyrsus.com>